using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp1
{
    class Termek
    {
        public string nev;
        public int ar, mennyiseg;

        public Termek(string Nev, int Ar, int Mennyisegg)
        {
            nev = Nev;
            ar = Ar;
            mennyiseg = Mennyisegg;
        }
    }

    class Rendeles
    {
        public List<(Termek aru, int db)> kocsi = new List<(Termek aru, int db)>();
        public int osszeg = 0;


        public Rendeles()
        {

        }

        public void Hozzaad(Termek termek, int darab)
        {
            if (darab <= termek.mennyiseg)
            {
                osszeg += termek.ar * darab;
                termek.mennyiseg -= darab;
            }
            else
            {
                Console.WriteLine("A vásárlás ennyi termékre nem valósítható meg.");
            }
            kocsi.Add((termek, darab));
        }

        public void Szamla()
        {
            foreach ((Termek aru, int db) in kocsi)
            {
                Console.WriteLine($"{aru.nev}: {db}db\t{aru.ar * db}Ft");
            }
            Console.WriteLine();
            Console.WriteLine($"A fizetendő összeg: {osszeg}");
            Console.WriteLine("Köszönjük a vásárlást!");
        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            Termek bacon = new Termek("Bacon", 1500, 10000);
            Termek polo = new Termek("Póló", 5000, 100);
            Termek kenyerpirito = new Termek("Kenyérpirító", 10000, 25);

            Rendeles rendeles = new Rendeles();
            rendeles.Hozzaad(bacon, 100);
            rendeles.Hozzaad(polo, 2);
            rendeles.Hozzaad(kenyerpirito, 1);

            rendeles.Szamla();
        }
    }
}